]> git.pld-linux.org Git - packages/rpm.git/blob - rpm.spec
- don't install and package some useless scripts
[packages/rpm.git] / rpm.spec
1 #
2 # TODO:
3 # - make key infrastructure code fallback from keyutils to plain mode in case keyctl
4 #   returns -ENOSYS
5 # - add macros for some ppc, mipsel, alpha and sparc
6 #
7 # - when adopting, use 4.5 ticket for checklist: https://bugs.launchpad.net/pld-linux/+bug/262985
8 #
9 # Conditional build:
10 %bcond_with     static          # build static rpm+rpmi
11 %bcond_without  apidocs         # don't generate documentation with doxygen
12 %bcond_without  python          # don't build python bindings
13 %bcond_without  selinux         # build without selinux support
14 %bcond_without  suggest_tags    # build without Suggest tag (bootstrapping)
15 %bcond_with     db61            # use DB 6.1 instead of 5.2
16 %bcond_with     neon            # build with HTTP/WebDAV support (neon library)
17 %bcond_with     sqlite          # build with SQLite support
18 %bcond_with     system_lua      # use system lua
19 %bcond_without  system_pcre     # use system pcre
20 %bcond_with     keyutils        # build with keyutils support
21
22 %if %{with sqlite}
23 # Error: /lib64/librpmio-5.4.so: undefined symbol: sqlite3_enable_load_extension
24 %define         sqlite_build_version %(pkg-config --silence-errors --modversion sqlite3 2>/dev/null || echo ERROR)
25 %endif
26
27 # versions of required libraries
28 %if %{with db61}
29 %define         reqdb_pkg       db6.1
30 %define         reqdb_ver       6.1
31 %define         reqdb_pkgver    6.1.19
32 %else
33 %define         reqdb_pkg       db5.2
34 %define         reqdb_ver       5.2
35 %define         reqdb_pkgver    5.2.36.0-4
36 %endif
37 %define         reqpopt_ver     1.15
38 %define         beecrypt_ver    2:4.2.0
39 %define         sover           5.4
40
41 Summary:        RPM Package Manager
42 Summary(de.UTF-8):      RPM Packet-Manager
43 Summary(es.UTF-8):      Gestor de paquetes RPM
44 Summary(pl.UTF-8):      Aplikacja do zarządzania pakietami RPM
45 Summary(pt_BR.UTF-8):   Gerenciador de pacotes RPM
46 Summary(ru.UTF-8):      Менеджер пакетов от RPM
47 Summary(uk.UTF-8):      Менеджер пакетів від RPM
48 Name:           rpm
49 Version:        5.4.15
50 Release:        58
51 License:        LGPL v2.1
52 Group:          Base
53 # http://rpm5.org/files/rpm/rpm-5.4/rpm-5.4.15-0.20140824.src.rpm
54 Source0:        %{name}-%{version}.tar.gz
55 # Source0-md5:  4067f83ca8b5bf1a21e443c0cff3efa0
56 # See README.cpu-os-macros how to update cpu-os-macros.a
57 Source100:      cpu-os-macros.a
58 Source101:      README.cpu-os-macros
59 Source1:        %{name}.groups
60 Source2:        macros.pld.in
61 Source3:        %{name}-install-tree
62 Source5:        %{name}-hrmib-cache
63 Source6:        %{name}-groups-po.awk
64 Source10:       %{name}.sysinfo
65 Source11:       perl.prov
66 Source12:       %{name}-user_group.sh
67 Source13:       %{name}.sysconfig
68 # http://svn.pld-linux.org/banner.sh/
69 Source15:       banner.sh
70 Source16:       ftp://ftp.pld-linux.org/dists/th/PLD-3.0-Th-GPG-key.asc
71 # Source16-md5: 23914bb49fafe7153cee87126d966461
72 Source18:       macros.local
73 Source19:       %{name}.noautocompressdoc
74 Source20:       %{name}.noautoprov
75 Source21:       %{name}.noautoprovfiles
76 Source22:       %{name}.noautoreq
77 Source24:       %{name}.noautoreqfiles
78 Source26:       %{name}db_checkversion.c
79 Source27:       macros.lang
80 Source28:       %{name}db_reset.c
81 Source29:       dbupgrade.sh
82 Source30:       prov-req-macros
83 Patch0:         %{name}-branch.patch
84 Patch1:         %{name}-man_pl.patch
85 Patch2:         %{name}-popt-aliases.patch
86 Patch3:         %{name}-nosetproctitle.patch
87 Patch4:         %{name}-perl-macros.patch
88 Patch5:         %{name}-perl-req-perlfile.patch
89 Patch6:         %{name}-scripts-closefds.patch
90 Patch8:         %{name}-gettext-in-header.patch
91 Patch9:         %{name}-lua.patch
92 Patch10:        %{name}-php-deps.patch
93 Patch11:        %{name}-notsc.patch
94 Patch12:        %{name}-hack-norpmlibdep.patch
95 Patch13:        %{name}-dont-copy-descriptive-tags.patch
96 Patch14:        %{name}-perl_req-INC_dirs.patch
97 Patch15:        %{name}-debuginfo.patch
98 Patch16:        vendor-pld.patch
99 Patch17:        %{name}-old-fileconflicts-behaviour.patch
100 Patch18:        %{name}-javadeps.patch
101 Patch19:        %{name}-truncate-cvslog.patch
102 Patch20:        %{name}-libtool-deps.patch
103 Patch21:        %{name}-mimetype.patch
104 Patch22:        %{name}-sparc64.patch
105 Patch23:        %{name}-gendiff.patch
106 Patch24:        openmp.patch
107 Patch25:        %{name}-URPM-build-fix.patch
108 Patch26:        %{name}-semanage.patch
109 Patch27:        %{name}-helperEVR-noassert.patch
110 Patch28:        %{name}-unglobal.patch
111 Patch29:        %{name}-builddir-readlink.patch
112 Patch30:        %{name}-changelog_order_check_nonfatal.patch
113 Patch31:        %{name}-cleanbody.patch
114 Patch32:        %{name}-dirdeps-macro.patch
115 Patch33:        %{name}-installbeforeerase.patch
116 Patch34:        %{name}-libmagic-locale.patch
117 Patch35:        %{name}-namespace-compare.patch
118 Patch36:        %{name}-popt-coreutils.patch
119 Patch37:        %{name}-postun-nofail.patch
120 Patch38:        %{name}-silence-RPM_CHAR_TYPE.patch
121 Patch39:        %{name}-fix-missing-types-in-headers.patch
122 Patch40:        %{name}-fix--p-interpreter-and-empty-script.patch
123 Patch41:        %{name}-db_buffer_small.patch
124 Patch42:        %{name}-pattern_Release.patch
125 Patch43:        %{name}-fix-___build_pre-macro.patch
126 Patch44:        %{name}-missing-patch-file-fails-build.patch
127 Patch45:        %{name}-remove-misleading-missing-patch-message.patch
128 Patch46:        %{name}-rpm2cpio.patch
129 Patch47:        %{name}-query-always-noisy.patch
130 Patch48:        %{name}-verify-ghosts-broken-logic.patch
131 Patch49:        %{name}-python-enable-compat-RPMSENSE.patch
132 Patch50:        %{name}-dont-treat-gstreamer-modules-as-font.patch
133 Patch51:        %{name}-gst-inspect-typo.patch
134 Patch52:        %{name}-null-term-ascii-digest.patch
135 Patch53:        %{name}-lua-enable-extra-libs.patch
136 Patch54:        %{name}-fix-filedigests-verify.patch
137 Patch55:        %{name}-disable-hmac-verify.patch
138 Patch56:        %{name}-macros.patch
139 Patch57:        %{name}-db5.2.patch
140 Patch58:        %{name}-preserve-iterator.patch
141 Patch59:        gcc6-stdlib.patch
142 Patch60:        %{name}-python-sitescriptdir.patch
143 Patch61:        %{name}-clean-docdir.patch
144 Patch62:        %{name}-DB_CONFIG.patch
145 Patch63:        %{name}-pythoneggs.patch
146 Patch64:        %{name}-fix-compress-doc.patch
147 Patch65:        %{name}-parseSpec-skip-empty-tags.patch
148 Patch66:        %{name}-payload-use-hashed-inode.patch
149 Patch67:        %{name}-repackage-dont-force-max-compression.patch
150 Patch68:        rpm-bug-420.patch
151 Patch70:        python-%{name}sense-missingok.patch
152 Patch71:        %{name}-changelog-encoding.patch
153 Patch72:        %{name}-preserve-tag-type.patch
154 Patch74:        %{name}-fix-internal-lua-build.patch
155 Patch75:        %{name}-double_check_file_deps.patch
156 Patch77:        %{name}-lua-expat.patch
157 Patch78:        %{name}-double_check_unpackaged_subdirs.patch
158 Patch79:        %{name}-rpmspec.patch
159 Patch80:        %{name}-revert-gpg-argv-parsing.patch
160 Patch81:        %{name}-perl-magic.patch
161 Patch82:        %{name}-5.4.15-use-DSA-sig.patch
162 Patch83:        %{name}-ignore-missing-macro-files.patch
163 Patch84:        x32.patch
164 Patch85:        rpm-CVE-2013-6435.patch
165 Patch86:        rpm-CVE-2014-8118.patch
166 Patch87:        %{name}-file-output-for-ELF.patch
167 Patch88:        %{name}-rpmtdnext.patch
168 Patch89:        disable-header-verification.patch
169 Patch90:        %{name}-cppcompat.patch
170 Patch91:        py-disable-fetch.patch
171 Patch92:        fast_python_deps.patch
172 Patch93:        python2_explicit.patch
173 Patch94:        do_not_write_before_macro_buffer.patch
174 Patch95:        rpm-python-spec-header.patch
175 Patch96:        skip-ldconfig-optimization.patch
176 Patch97:        glibc.patch
177 Patch98:        extension-based-compression-detection.patch
178 Patch99:        %{name}-gpg-pinentry.patch
179 Patch100:       dont-install-useless-scripts.patch
180
181 # Patches imported from Mandriva
182
183 # status: ready to merge, it's already been merged on HEAD, so commiting it to rpm-5_4
184 # would basically just mean backporting it..
185 Patch1000:      %{name}-5.4.4-add-_specfile-macro.patch
186 # status: needs to be cleaned up and properly reviewed together with rest
187 # of the patches related to dependency generation
188 Patch1001:      %{name}-5.4.9-avoid-dependencies-on-self.patch
189 # status: probably ready to merge
190 Patch1002:      %{name}-5.4.4-pkgconfigdeps-check-path.patch
191 # status: probably okay to merge, but discuss on rpm-devel first
192 Patch1003:      %{name}-5.4.4-glob-wildcards-for-loading-macro-files.patch
193 # status: needs to be discussed
194 Patch1004:      %{name}-5.4.4-allow-installation-of-repackaged-rpms.patch
195 # status: ready to merge
196 Patch1005:      %{name}-5.4.8-dont-show-suggests-with-requires.patch
197 # status: ready for merge
198 Patch1006:      %{name}-5.4.9-strip-buildroot-away-from-duplicate-files-list.patch
199 # status: probably okay to merge, but discuss on rpm-devel first
200 Patch1007:      %{name}-5.4.10-duplicate_files_terminate_build.patch
201 # status: same as above
202 Patch1008:      %{name}-5.4.10-unpackaged_subdirs_terminate_build.patch
203 # mdvbz#64898
204 # status: uncertain, might be okay to merge, discuss on rpm-devel first
205 Patch1009:      %{name}-5.4.4-rpmbuild-withoutclean.patch
206 # no sense in having an additional dependency on 'pkgconfig' on all packages that
207 # have a pkgconfig file, it's not needed for them to be made useful and anything
208 # actuallly using pkgconfig for this purpose will pull it in as a dependency anyways...
209 # status: might be okay to merge, but discuss on rpm-devel first
210 Patch1010:      %{name}-5.4.4-drop-useless-auto-generated-pkgconfig-dependency.patch
211 # status: ready for merge
212 Patch1011:      %{name}-5.4.4-fix-rpmconstant-to-always-use-LC_CTYPE-C-for-case-conversion.patch
213 # $RPM_BUILD_DIR isn't necessarily the same as $PWD, it's %%{_builddir}, not
214 # %%{_builddir}/%%{?buildsubdir}, messing up paths in debug packages created..
215 # status: needs to be discussed and investigated a bit better..
216 Patch1012:      %{name}-5.4.4-pass-_builddir-properly-to-find-debuginfo.patch
217 # status: probably okay to merge, but discuss on rpm-devel first
218 Patch1013:      %{name}-5.4.10-files-listed-twice-terminates-build.patch
219 # status: keep locally
220 Patch1015:      %{name}-5.4.9-keep-loading-script-macros.patch
221 # status: same as for other dep gen patches
222 Patch1016:      %{name}-5.4.9-update-rpmfc-when-removing-dependencies-on-self.patch
223 # status: idem
224 Patch1017:      %{name}-5.4.9-rpmfc-extract-dependencies-for-all-files.patch
225 # status: probably okay to merge
226 Patch1019:      %{name}-5.4.5-python-export-spec-macros.patch
227 # status: idem
228 Patch1020:      %{name}-5.4.9-font-provides.patch
229 # stauus: idem
230 Patch1021:      %{name}-5.4.7-kmod-dependencies.patch
231 # status: probably okay to merge, discuss on rpm-devel first
232 Patch1022:      %{name}-5.4.5-skip-dependencies-for-character-devices.patch
233 # status: probably okay to merge
234 Patch1024:      %{name}-5.4.5-rpmfc-apply-python-coloring-from-magic.patch
235 # status: probably okay to merge
236 Patch1026:      %{name}-5.4.10-dont-try-generate-rpmfc-dependencies-from-doc-files.patch
237 # status: ready
238 Patch1027:      %{name}-5.4.7-fix-generation-of-ruby-abi-provides.patch
239 # crash reproducable with 'rpm -qa --triggers'
240 # status: ready
241 Patch1028:      %{name}-5.4.7-hdrfmt-fix-unitialized-argv-element.patch
242 # status: same as for other dep gen patches
243 Patch1029:      %{name}-5.4.7-dont-consider-trigger-dependencies-as-overlapping.patch
244 # status: ready
245 Patch1030:      %{name}-5.4.7-fix-minor-memleaks.patch
246 # status: ready
247 Patch1031:      %{name}-5.4.9-mire-fix-strings-lacking-null-terminator.patch
248 # status: ready
249 Patch1032:      %{name}-5.4.9-rpmpython-fix-input.patch
250 # status: ready
251 Patch1033:      %{name}-5.4.7-no-seqid_init-on-rdonly-database.patch
252 # status: probably ready for merging
253 Patch1034:      %{name}-5.4.9-avoid-double-slash-in-path-for-dirname-filetrigger-matching.patch
254 # status: probably ready to merge, discuss on rpm-devel first
255 Patch1035:      %{name}-5.4.9-fix-verify-segfault.patch
256 # Due to rpmdav/neon being written in a different fashion than other rpmio clients,
257 # the inconsistent behaviour affects code elsewhere which expects consistent behaviour,
258 # with the result being that when unable to download files, neon will save error
259 # page as the target file.
260 # status: should go upstream, but uncertain about "correct" fix, ie. this is
261 # more of a workaround, while rewriting rpmdav code to behave consistently
262 # would be "the right thing to do". Yet I'm not fully able to grasp all of the
263 # code and don't want to spend more time just to get the API..
264 Patch1037:      %{name}-5.4.10-fix-neon-saving-error-pages-as-target-file.patch
265 # As the transaction flags for ignoring arch & os are no longer used, there's
266 # currently no way to ignore arch & os of packages anymore. This patch adds
267 # support for doing this again by defining rpm variables and overriding
268 # --ignorearch & --ignoreos to set these.
269 # status: needs to be discussed upstream before thinking about merging
270 Patch1038:      %{name}-5.4.10-support-ignore-arch-and-os-again.patch
271 # status: ready for merge
272 Patch1039:      %{name}-5.4.4-fix-same-package-with-epoch-possible-to-upgrade.patch
273 # we want that patch too, a bit of builder infrastructure relies on NOSIGNATURES
274 Patch1040:      %{name}-5.4.9-support-signatures-and-digest-disablers.patch
275 # lack insight on actual functionality, which anyways seems broken, so let's
276 # disable it to avoid errors from berkeley db..
277 # status: keep locally
278 Patch1041:      %{name}-5.4.9-disable-l10ndir.patch
279 # status: ready for merge
280 Patch1042:      %{name}-5.4.9-fix-rpm_qa-pattern.patch
281 # warning: introduces memory leak
282 Patch1043:      %{name}-5.4.12-copy-Value-string.patch
283 Patch1044:      %{name}-5.4.12-fix-rpmlua-print.patch
284 Patch1045:      %{name}-5.4.12-fix-rpmpython-module-import-init.patch
285 Patch1046:      %{name}-5.4.12-truncate-output-buffer-after-use.patch
286 Patch1047:      %{name}-5.4.13-perl-bindings-do-not-use-xmalloc.patch
287 # proyvind:
288 # there's a rpmdbchk tool I wrote a while back, which might help you. although
289 # the incidents it's able to deal with is rather limited ATM... it might help
290 # you out, if not and you'll be able to solve yer problem, you could take a
291 # stab at adding support for fixing your specific problem to the util ;)
292 # https://abf.io/openmandriva/rpm/raw/master/rpm-5.4.14-rpmdbchk.patch
293 Patch1048:      %{name}-5.4.14-rpmdbchk.patch
294 # https://abf.io/openmandriva/rpm/raw/master/rpm-5.4.14-no-assert-abort-with-broken-headers.patch
295 Patch1049:      %{name}-5.4.14-no-assert-abort-with-broken-headers.patch
296
297 Patch1050:      python-libx32.patch
298
299 URL:            http://rpm5.org/
300 BuildRequires:  %{reqdb_pkg}-devel >= %{reqdb_pkgver}
301 %if %{with sqlite}
302 BuildRequires:  sqlite3-devel
303 %else
304 BuildRequires:  %{reqdb_pkg}-sql-devel >= %{reqdb_pkgver}
305 %endif
306 BuildRequires:  autoconf >= 2.63
307 BuildRequires:  automake >= 1.4
308 BuildRequires:  beecrypt-devel >= %{beecrypt_ver}
309 BuildRequires:  bzip2-devel >= 1.0.2-17
310 BuildRequires:  elfutils-devel >= 0.108
311 BuildRequires:  gettext-tools >= 0.19.2
312 %{?with_keyutils:BuildRequires: keyutils-devel}
313 BuildRequires:  libmagic-devel
314 %if %{with selinux}
315 BuildRequires:  libselinux-devel >= 2.1.0
316 BuildRequires:  libsemanage-devel >= 2.1.0
317 BuildRequires:  libsepol-devel >= 2.1.0
318 %endif
319 # needed only for AM_PROG_CXX used for CXX substitution in rpm.macros
320 BuildRequires:  libstdc++-devel
321 BuildRequires:  libtool >= 1:1.4.2-9
322 %if %{with neon}
323 BuildRequires:  libxml2-devel
324 BuildRequires:  neon-devel >= 0.25.5
325 %endif
326 %{?with_system_lua:BuildRequires:       lua52-devel >= 5.2.2}
327 BuildRequires:  ossp-uuid-devel
328 BuildRequires:  patch >= 2.2
329 BuildRequires:  popt-devel >= %{reqpopt_ver}
330 %{?with_python:BuildRequires:   python-devel >= 1:2.3}
331 BuildRequires:  python-modules >= 1:2.3
332 %{?with_python:BuildRequires:   rpm-pythonprov}
333 BuildRequires:  tcl
334 BuildRequires:  xz-devel
335 BuildRequires:  zlib-devel
336 %if %{with apidocs}
337 BuildRequires:  doxygen
338 BuildRequires:  ghostscript
339 BuildRequires:  graphviz
340 BuildRequires:  tetex-pdftex
341 %endif
342 %if %{with static}
343 # Require static library only for static build
344 BuildRequires:  %{reqdb_pkg}-static >= %{reqdb_pkgver}
345 BuildRequires:  beecrypt-static >= %{beecrypt_ver}
346 BuildRequires:  bzip2-static >= 1.0.2-17
347 BuildRequires:  elfutils-static
348 BuildRequires:  glibc-static >= 2.2.94
349 BuildRequires:  libmagic-static
350 %if %{with selinux}
351 BuildRequires:  libselinux-static >= 2.1.0
352 BuildRequires:  libsemanage-static >= 2.1.0
353 BuildRequires:  libsepol-static >= 2.1.0
354 %endif
355 BuildRequires:  popt-static >= %{reqpopt_ver}
356 BuildRequires:  zlib-static
357 %endif
358 Requires(posttrans):    coreutils
359 Requires:       FHS >= 3.0-2
360 Requires:       %{name}-base = %{version}-%{release}
361 Requires:       %{name}-lib = %{version}-%{release}
362 Requires:       beecrypt >= %{beecrypt_ver}
363 Requires:       popt >= %{reqpopt_ver}
364 Obsoletes:      rpm-getdeps
365 %{!?with_static:Obsoletes:      rpm-utils-static}
366 Conflicts:      glibc < 2.2.92
367 # db4.6 poldek needed
368 Conflicts:      poldek < 0.21-0.20070703.00.3
369 # segfaults with lzma 0.42.2
370 Conflicts:      lzma-libs < 4.999.3
371 Conflicts:      util-vserver < 0.30.216-1.pre3034.7
372 BuildRoot:      %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
373
374 %define         _binary_payload         w9.gzdio
375
376 # don't require very fresh rpm.macros to build
377 %define         __gettextize gettextize --copy --force --intl ; cp -f po/Makevars{.template,}
378 %define         find_lang sh ./scripts/find-lang.sh $RPM_BUILD_ROOT
379 %define         ix86    i386 i486 i586 i686 athlon pentium3 pentium4
380 %define         ppc     ppc ppc7400 ppc7450
381 %define         x8664   amd64 ia32e x86_64
382
383 %define         _rpmlibdir /usr/lib/rpm
384 %define         _noautocompressdoc      RPM-GPG-KEY
385
386 %description
387 RPM is a powerful package manager, which can be used to build,
388 install, query, verify, update, and uninstall individual software
389 packages. A package consists of an archive of files, and package
390 information, including name, version, and description.
391
392 %description -l de.UTF-8
393 RPM ist ein kräftiger Packet-Manager, der verwendet sein kann zur
394 Installation, Anfrage, Verifizierung, Aktualisierung und
395 Uninstallation individueller Softwarepakete. Ein Paket besteht aus
396 einem Archiv Dateien und Paketinformation, inklusive Name, Version und
397 Beschreibung.
398
399 %description -l es.UTF-8
400 RPM es un poderoso administrador de paquetes, que puede ser usado para
401 construir, instalar, pesquisar, verificar, actualizar y desinstalar
402 paquetes individuales de software. Un paquete consiste en un
403 almacenaje de archivos, y información sobre el paquete, incluyendo
404 nombre, versión y descripción.
405
406 %description -l pl.UTF-8
407 RPM jest doskonałym programem zarządzającym pakietami. Umożliwia on
408 przebudowanie, instalację czy weryfikację dowolnego pakietu.
409 Informacje dotyczące każdego pakietu, takie jak jego opis, lista
410 plików wchodzących w skład pakietu, zależności od innych pakietów, są
411 przechowywane w bazie danych i można je uzyskać za pomocą opcji
412 odpytywania programu rpm.
413
414 %description -l pt_BR.UTF-8
415 RPM é um poderoso gerenciador de pacotes, que pode ser usado para
416 construir, instalar, pesquisar, verificar, atualizar e desinstalar
417 pacotes individuais de software. Um pacote consiste de um conjunto de
418 arquivos e informações adicionais, incluindo nome, versão e descrição
419 do pacote, permissões dos arquivos, etc.
420
421 %description -l ru.UTF-8
422 RPM - это мощный менеджер пакетов, который может быть использован для
423 создания, инсталляции, запросов (query), проверки, обновления и
424 удаления программных пакетов. Пакет состоит из файлового архива и
425 служебной информации, включающей название, версию, описание и другие
426 данные о пакете.
427
428 %description -l uk.UTF-8
429 RPM - це потужний менеджер пакетів, що може бути використаний для
430 створення, інсталяції, запитів (query), перевірки, поновлення та
431 видалення програмних пакетів. Пакет складається з файлового архіву та
432 службової інформації, що містить назву, версію, опис та іншу
433 інформацію про пакет.
434
435 %package base
436 Summary:        RPM base package - scripts used by rpm packages themselves
437 Summary(pl.UTF-8):      Podstawowy pakiet RPM - skrypty używane przez same pakiety rpm
438 Group:          Base
439 Requires:       filesystem
440 Obsoletes:      rpm-scripts
441 Obsoletes:      vserver-rpm
442
443 %description base
444 The RPM base package contains scripts used by rpm packages themselves.
445 These include:
446 - scripts for adding/removing groups and users needed for rpm
447   packages,
448 - banner.sh to display %%banner messages from rpm scriptlets.
449
450 %description base -l pl.UTF-8
451 Pakiet podstawowy RPM zwiera skrypty używane przez same pakiety rpm.
452 Zawiera on:
453 - skrypty dodające/usuwające grupy i użytkowników dla pakietów rpm,
454 - banner.sh do pokazywania komunikatów %%banner dla skryptletów rpm.
455
456 %package lib
457 Summary:        RPMs library
458 Summary(pl.UTF-8):      Biblioteki RPM-a
459 Group:          Libraries
460 Requires:       %{reqdb_pkg} >= %{reqdb_pkgver}
461 %if %{with sqlite}
462 Requires:       sqlite3 >= %{sqlite_build_version}
463 %else
464 Requires:       %{reqdb_pkg}-sql >= %{reqdb_pkgver}
465 %endif
466 Requires:       beecrypt >= %{beecrypt_ver}
467 Requires:       libmagic >= 1.15-2
468 %{?with_selinux:Requires:       libselinux >= 2.1.0}
469 Requires:       popt >= %{reqpopt_ver}
470 Provides:       rpm-db-ver = %{reqdb_ver}
471 Obsoletes:      rpm-libs
472 # avoid SEGV caused by mixed db versions
473 Conflicts:      poldek < 0.18.1-16
474
475 %description lib
476 RPMs library.
477
478 %description lib -l pl.UTF-8
479 Biblioteki RPM-a.
480
481 %package devel
482 Summary:        Header files for rpm libraries
483 Summary(de.UTF-8):      Header-Dateien für rpm Libraries
484 Summary(es.UTF-8):      Archivos de inclusión y bibliotecas para programas de manipulación de paquetes rpm
485 Summary(pl.UTF-8):      Pliki nagłówkowe bibliotek rpm
486 Summary(pt_BR.UTF-8):   Arquivos de inclusão e bibliotecas para programas de manipulação de pacotes RPM
487 Summary(ru.UTF-8):      Хедеры и библиотеки для программ, работающих с rpm-пакетами
488 Summary(uk.UTF-8):      Хедери та бібліотеки для програм, що працюють з пакетами rpm
489 Group:          Development/Libraries
490 Requires:       %{name}-lib = %{version}-%{release}
491 Requires:       %{reqdb_pkg}-devel >= %{reqdb_pkgver}
492 Requires:       beecrypt-devel >= %{beecrypt_ver}
493 Requires:       bzip2-devel
494 Requires:       elfutils-devel
495 %{?with_keyutils:Requires:      keyutils-devel}
496 Requires:       libmagic-devel
497 %if %{with selinux}
498 Requires:       libselinux-devel
499 Requires:       libsemanage-devel
500 Requires:       libsepol-devel
501 %endif
502 Requires:       popt-devel >= %{reqpopt_ver}
503 Requires:       zlib-devel
504
505 %description devel
506 The RPM packaging system includes C libraries that make it easy to
507 manipulate RPM packages and databases. They are intended to ease the
508 creation of graphical package managers and other tools that need
509 intimate knowledge of RPM packages. This package contains header files
510 for these libraries.
511
512 %description devel -l de.UTF-8
513 Der RPM-Packensystem enthält eine C-Library, die macht es einfach
514 RPM-Pakete und Dateibanken zu manipulieren. Er eignet sich für
515 Vereinfachung des Schaffens grafischer Paket-Manager und anderer
516 Werkzeuge, die intime Kenntnis von RPM-Paketen brauchen.
517
518 %description devel -l es.UTF-8
519 El sistema de empaquetado RPM incluye una biblioteca C que vuelve
520 fácil la manipulación de paquetes y bases de datos RPM. Su objetivo es
521 facilitar la creación de administradores gráficos de paquetes y otras
522 herramientas que necesiten un conocimiento profundo de paquetes RPM.
523
524 %description devel -l pl.UTF-8
525 System RPM zawiera biblioteki C, które ułatwiają manipulowanie
526 pakietami RPM oraz bazami danych. W zamiarze ma to uprościć tworzenie
527 graficznych programów zarządzających pakietami oraz innych narzędzi,
528 które wymagają szczegółowej wiedzy na temat pakietów RPM. Ten pakiet
529 zawiera pliki nagłówkowe wspomnianych bibliotek.
530
531 %description devel -l pt_BR.UTF-8
532 O sistema de empacotamento RPM inclui uma biblioteca C que torna fácil
533 a manipulação de pacotes e bases de dados RPM. Seu objetivo é
534 facilitar a criação de gerenciadores gráficos de pacotes e outras
535 ferramentas que precisem de conhecimento profundo de pacotes RPM.
536
537 %description devel -l ru.UTF-8
538 Система управления пакетами RPM содержит библиотеку C, которая
539 упрощает манипуляцию пакетами RPM и соответствующими базами данных.
540 Эта библиотека предназначена для облегчения создания графических
541 пакетных менеджеров и других утилит, которым необходимо работать с
542 пакетами RPM.
543
544 %description devel -l uk.UTF-8
545 Система керування пакетами RPM містить бібліотеку C, котра спрощує
546 роботу з пакетами RPM та відповідними базами даних. Ця бібліотека
547 призначена для полегшення створення графічних пакетних менеджерів та
548 інших утиліт, що працюють з пакетами RPM.
549
550 %package static
551 Summary:        RPM static libraries
552 Summary(de.UTF-8):      RPMs statische Libraries
553 Summary(pl.UTF-8):      Biblioteki statyczne RPM-a
554 Summary(pt_BR.UTF-8):   Bibliotecas estáticas para o desenvolvimento de aplicações RPM
555 Summary(ru.UTF-8):      Статическая библиотека для программ, работающих с rpm-пакетами
556 Summary(uk.UTF-8):      Статична бібліотека для програм, що працюють з пакетами rpm
557 Group:          Development/Libraries
558 Requires:       %{name}-devel = %{version}-%{release}
559 Requires:       %{reqdb_pkg}-static >= %{reqdb_pkgver}
560 Requires:       beecrypt-static >= %{beecrypt_ver}
561 Requires:       bzip2-static
562 Requires:       elfutils-static
563 %{?with_keyutils:Requires:      keyutils-static}
564 Requires:       libmagic-static
565 %if %{with selinux}
566 Requires:       libselinux-static
567 Requires:       libsemanage-static
568 Requires:       libsepol-static
569 %endif
570 Requires:       popt-static >= %{reqpopt_ver}
571 Requires:       zlib-static
572
573 %description static
574 RPM static libraries.
575
576 %description static -l de.UTF-8
577 RPMs statische Libraries.
578
579 %description static -l pl.UTF-8
580 Biblioteki statyczne RPM-a.
581
582 %description static -l pt_BR.UTF-8
583 Bibliotecas estáticas para desenvolvimento.
584
585 %description static -l ru.UTF-8
586 Система управления пакетами RPM содержит библиотеку C, которая
587 упрощает манипуляцию пакетами RPM и соответствующими базами данных.
588 Это статическая библиотека RPM.
589
590 %description static -l uk.UTF-8
591 Система керування пакетами RPM містить бібліотеку C, котра спрощує
592 роботу з пакетами RPM та відповідними базами даних. Це статична
593 бібліотека RPM.
594
595 %package utils
596 Summary:        Additional utilities for managing RPM packages and database
597 Summary(de.UTF-8):      Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken
598 Summary(pl.UTF-8):      Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami
599 Group:          Applications/File
600 Requires:       %{name} = %{version}-%{release}
601 Requires:       popt >= %{reqpopt_ver}
602 %if %{with suggest_tags}
603 Suggests:       bzip2
604 Suggests:       gzip
605 %endif
606 Conflicts:      filesystem-debuginfo < 3.0-16
607
608 %description utils
609 Additional utilities for managing RPM packages and database.
610
611 %description utils -l de.UTF-8
612 Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken.
613
614 %description utils -l pl.UTF-8
615 Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami.
616
617 %package utils-perl
618 Summary:        Additional utilities for managing RPM packages and database
619 Summary(de.UTF-8):      Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken
620 Summary(pl.UTF-8):      Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami
621 Group:          Applications/File
622 Requires:       %{name}-utils = %{version}-%{release}
623 Requires:       popt >= %{reqpopt_ver}
624
625 %description utils-perl
626 Additional utilities for managing RPM packages and database.
627
628 %description utils-perl -l de.UTF-8
629 Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken.
630
631 %description utils-perl -l pl.UTF-8
632 Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami.
633
634 %package utils-static
635 Summary:        Static rpm utilities
636 Summary(pl.UTF-8):      Statyczne narzędzia rpm
637 Group:          Applications/System
638 Requires:       %{name} = %{version}-%{release}
639
640 %description utils-static
641 Static rpm utilities for repairing system in case something with
642 shared libraries used by rpm become broken. Currently it contains rpmi
643 binary, which can be used to install/upgrade/remove packages without
644 using shared libraries (well, in fact with exception of NSS modules).
645
646 %description utils-static -l pl.UTF-8
647 Statyczne narzędzia rpm do naprawy systemu w przypadku zepsucia czegoś
648 związanego z bibliotekami współdzielonymi używanymi przez rpm-a.
649 Aktualnie pakiet zawiera binarkę rpmi, którą można użyć do instalacji,
650 uaktualniania lub usuwania pakietów bez udziału bibliotek statycznych
651 (z wyjątkiem modułów NSS).
652
653 %package build
654 Summary:        Scripts for building binary RPM packages
655 Summary(de.UTF-8):      Scripts fürs Bauen binärer RPM-Pakete
656 Summary(pl.UTF-8):      Skrypty pomocnicze do budowania binarnych RPM-ów
657 Summary(pt_BR.UTF-8):   Scripts e programas executáveis usados para construir pacotes
658 Summary(ru.UTF-8):      Скрипты и утилиты, необходимые для сборки пакетов
659 Summary(uk.UTF-8):      Скрипти та утиліти, необхідні для побудови пакетів
660 Group:          Applications/File
661 Requires(pretrans):     coreutils
662 Requires(pretrans):     findutils
663 Requires:       %{name}-pld-macros-build >= 1.744-3
664 Requires:       %{name}-utils = %{version}-%{release}
665 Requires:       /bin/id
666 Requires:       awk
667 Requires:       bzip2
668 Requires:       chrpath >= 0.10-4
669 Requires:       cpio
670 Requires:       diffutils
671 Requires:       elfutils
672 Requires:       file >= 4.17
673 Requires:       fileutils
674 Requires:       findutils
675 %ifarch athlon
676 Requires:       gcc >= 3.0.3
677 %else
678 Requires:       gcc
679 %endif
680 Requires:       glibc-devel
681 Requires:       grep
682 Requires:       gzip
683 Requires:       make
684 Requires:       patch
685 Requires:       sed >= 4.0
686 Requires:       sh-utils
687 Requires:       tar >= 1:1.22
688 Requires:       textutils
689 Requires:       which
690 Requires:       xz
691 Provides:       rpmbuild(monoautodeps)
692 Provides:       rpmbuild(noauto) = 3
693 %ifarch %{x8664}
694 Conflicts:      automake < 1:1.7.9-2
695 Conflicts:      libtool < 2:1.5-13
696 %endif
697
698 %description build
699 Scripts for building binary RPM packages.
700
701 %description build -l de.UTF-8
702 Scripts fürs Bauen binärer RPM-Pakete.
703
704 %description build -l pl.UTF-8
705 Skrypty pomocnicze do budowania binarnych RPM-ów.
706
707 %description build -l pt_BR.UTF-8
708 Este pacote contém scripts e programas executáveis que são usados para
709 construir pacotes usando o RPM.
710
711 %description build -l ru.UTF-8
712 Различные вспомогательные скрипты и исполняемые программы, которые
713 используются для сборки RPM'ов.
714
715 %description build -l uk.UTF-8
716 Різноманітні допоміжні скрипти та утиліти, які використовуються для
717 побудови RPM'ів.
718
719 %package perlprov
720 Summary:        Additional utilities for checking Perl provides/requires in RPM packages
721 Summary(de.UTF-8):      Zusatzwerkzeuge fürs Nachsehen Perl-Abhängigkeiten in RPM-Paketen
722 Summary(pl.UTF-8):      Dodatkowe narzędzia do sprawdzenia zależności skryptów Perla w pakietach RPM
723 Group:          Applications/File
724 Requires:       %{name} = %{version}-%{release}
725 Requires:       perl-Encode
726 Requires:       perl-devel
727 Requires:       perl-modules
728
729 %description perlprov
730 Additional utilities for checking Perl provides/requires in RPM
731 packages.
732
733 %description perlprov -l de.UTF-8
734 Zusatzwerkzeuge fürs Nachsehen Perl-Abhängigkeiten in RPM-Paketen.
735
736 %description perlprov -l pl.UTF-8
737 Dodatkowe narzędzia do sprawdzenia zależności skryptów Perla w
738 pakietach RPM.
739
740 %package pythonprov
741 Summary:        Python macros, which simplifies creation of RPM packages with Python software
742 Summary(pl.UTF-8):      Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w Pythonie
743 Group:          Applications/File
744 Requires:       %{name} = %{version}-%{release}
745 Requires:       python
746 Requires:       python-setuptools
747 Requires:       python-modules
748
749 %description pythonprov
750 Python macros, which simplifies creation of RPM packages with Python
751 software.
752
753 %description pythonprov -l pl.UTF-8
754 Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w
755 Pythonie.
756
757 %package -n python-rpm
758 Summary:        Python interface to RPM library
759 Summary(pl.UTF-8):      Pythonowy interfejs do biblioteki RPM-a
760 Summary(pt_BR.UTF-8):   Módulo Python para aplicativos que manipulam pacotes RPM
761 Group:          Development/Languages/Python
762 Requires:       %{name} = %{version}-%{release}
763 Requires:       python
764 Obsoletes:      rpm-python
765
766 %description -n python-rpm
767 The rpm-python package contains a module which permits applications
768 written in the Python programming language to use the interface
769 supplied by RPM (RPM Package Manager) libraries.
770
771 This package should be installed if you want to develop Python
772 programs that will manipulate RPM packages and databases.
773
774 %description -n python-rpm -l pl.UTF-8
775 Pakiet rpm-python zawiera moduł, który pozwala aplikacjom napisanym w
776 Pythonie na używanie interfejsu dostarczanego przez biblioteki RPM-a.
777
778 Pakiet ten powinien zostać zainstalowany, jeśli chcesz pisać w
779 Pythonie programy manipulujące pakietami i bazami danych rpm.
780
781 %description -n python-rpm -l pt_BR.UTF-8
782 O pacote rpm-python contém um módulo que permite que aplicações
783 escritas em Python utilizem a interface fornecida pelas bibliotecas
784 RPM (RPM Package Manager).
785
786 Esse pacote deve ser instalado se você quiser desenvolver programas em
787 Python para manipular pacotes e bancos de dados RPM.
788
789 %package apidocs
790 Summary:        RPM API documentation and guides
791 Summary(pl.UTF-8):      Documentacja API RPM-a i przewodniki
792 Group:          Documentation
793 %if "%{_rpmversion}" >= "5"
794 BuildArch:      noarch
795 %endif
796
797 %description apidocs
798 Documentation for RPM API and guides in HTML format generated from rpm
799 sources by doxygen.
800
801 %description apidocs -l pl.UTF-8
802 Dokumentacja API RPM-a oraz przewodniki w formacie HTML generowane ze
803 źrodeł RPM-a przez doxygen.
804
805 %prep
806 %setup -q -n %{name}-%{version}%{?subver}
807 install -d platform
808 cd platform
809 ar x %{SOURCE100}
810 cd -
811
812 #patch0 -p1
813 %patch1 -p1
814 %patch2 -p1
815 %patch3 -p1
816 %patch4 -p1
817 %patch5 -p1
818 %patch6 -p1
819 %patch8 -p1
820 %{?with_system_lua:%patch9 -p1}
821 %patch10 -p1
822 %ifnarch i386 i486
823 # enable TSC for capable archs
824 %patch11 -p1
825 %endif
826 %patch12 -p1
827 %patch13 -p1
828 %patch14 -p0
829 %patch15 -p1
830 %patch16 -p1
831 %patch17 -p1
832 %patch18 -p1
833 %patch19 -p1
834 %patch20 -p1
835 %patch21 -p1
836 %ifarch sparc64
837 %patch22 -p1
838 %endif
839 %patch23 -p1
840 %patch24 -p1
841 %patch25 -p1
842 %patch26 -p1
843 %patch27 -p1
844 %patch28 -p1
845 %patch29 -p1
846 %patch30 -p1
847 %patch31 -p1
848 %patch32 -p1
849 %patch33 -p1
850 %patch34 -p1
851 %patch35 -p1
852 %patch36 -p1
853 %patch37 -p1
854 %patch38 -p1
855 %patch39 -p1
856 %patch40 -p1
857 %{?with_db61:%patch41 -p1}
858 %patch42 -p1
859 %patch43 -p1
860 %patch44 -p1
861 %patch45 -p1
862 %patch46 -p1
863 %patch47 -p1
864 %patch48 -p1
865 %patch49 -p1
866 %patch50 -p1
867 %patch51 -p1
868 %patch52 -p0
869 %patch53 -p1
870 %patch54 -p1
871 %patch55 -p1
872 %patch56 -p1
873 %{!?with_db61:%patch57 -p1}
874 %patch58 -p1
875 %patch59 -p1
876 %patch60 -p1
877 %patch61 -p1
878 %patch62 -p1
879 %patch63 -p1
880 %patch64 -p1
881 %patch65 -p1
882 %patch66 -p1
883 %patch67 -p1
884 %patch68 -p1
885 %patch70 -p1
886 %patch71 -p1
887 %patch72 -p1
888 %patch74 -p1
889 %patch75 -p1
890 %patch77 -p0
891 %patch78 -p1
892 %patch79 -p1
893 %patch80 -p1
894 %patch81 -p0
895 %patch82 -p1
896 %patch84 -p1
897 %patch85 -p1
898 %patch86 -p1
899 %patch87 -p1
900 %patch88 -p1
901 %patch89 -p1
902 %patch90 -p1
903 %patch91 -p1
904 %patch99 -p1
905
906 %patch1000 -p1
907 %patch1001 -p1
908 %patch1002 -p1
909 %patch1003 -p1
910 %patch1004 -p1
911 %patch1005 -p1
912 %patch1006 -p1
913 %patch1007 -p1
914 %patch1008 -p1
915 %patch1009 -p1
916 %patch1010 -p1
917 %patch1011 -p1
918 %patch1012 -p1
919 %patch1013 -p1
920 %patch1015 -p1
921 %patch1016 -p1
922 %patch1017 -p1
923 %patch1019 -p1
924 %patch1020 -p1
925 %patch1021 -p1
926 %patch1022 -p1
927 %patch1024 -p1
928 %patch1026 -p1
929 %patch1027 -p1
930 %patch1028 -p1
931 %patch1029 -p1
932 %patch1030 -p1
933 %patch1031 -p1
934 %patch1032 -p1
935 %patch1033 -p1
936 %patch1034 -p1
937 %patch1035 -p1
938 %patch1037 -p1
939 %patch1038 -p1
940 %patch1039 -p1
941 %patch1040 -p1
942 # don't delete, may be usefull if jbj descides to enable this again
943 #%patch1041 -p1
944 %patch1042 -p1
945 %patch1043 -p1
946 %patch1044 -p1
947 %patch1045 -p1
948 %patch1046 -p1
949 %patch1047 -p1
950 %patch1048 -p1
951 %patch1049 -p1
952
953 %patch83 -p1
954 %patch92 -p1
955 %patch93 -p1
956 %patch94 -p1
957 %patch95 -p1
958 %patch96 -p1
959 %patch97 -p1
960 %patch98 -p1
961 %patch100 -p1
962
963 %patch1050 -p1
964
965 install %{SOURCE2} macros/pld.in
966 install %{SOURCE11} scripts/perl.prov.in
967
968 rm scripts/find-php*
969
970 %{__mv} -f scripts/perl.req{,.in}
971
972 # generate Group translations to *.po
973 awk -f %{SOURCE6} %{SOURCE1}
974
975 install %{SOURCE26} tools/rpmdb_checkversion.c
976 install %{SOURCE28} tools/rpmdb_reset.c
977
978 for extlib in beecrypt neon %{?with_system_pcre:pcre} popt; do
979         [ -d $extlib ] && %{__rm} -r $extlib
980 done
981
982 %build
983 %{__libtoolize}
984 #%{__autopoint}
985 %{__aclocal}
986 %{__autoheader}
987 %{__autoconf}
988 %{__automake}
989
990 # rpm checks for CPU type at runtime, but it looks better
991 sed -i \
992         -e 's|@host@|%{_target_cpu}-%{_target_vendor}-%{_target_os}|' \
993         -e 's|@host_cpu@|%{_target_cpu}|' \
994         -e 's|@host_os@|%{_target_os}|' \
995         macros/macros.in
996
997 %{?with_system_lua:CPPFLAGS="-I/usr/include/lua51 %{rpmcppflags}"}
998 %configure \
999         WITH_PERL_VERSION=no \
1000         __GST_INSPECT=%{_bindir}/gst-inspect-1.0 \
1001         __GPG=%{_bindir}/gpg \
1002         --disable-silent-rules \
1003         --enable-shared \
1004         --enable-static \
1005         %{!?with_apidocs:--without-apidocs} \
1006         --with-beecrypt=external \
1007         --with-bugreport="http://bugs.pld-linux.org/" \
1008         --with-bzip2=external \
1009         --with-db=external \
1010         --with-dbapi=db \
1011         --with-file=external \
1012         --with-keyutils=%{?with_keyutils:external}%{!?with_keyutils:no} \
1013         --with-libelf \
1014         --with-lua=%{!?with_system_lua:internal}%{?with_system_lua:external} \
1015         --with-lzma=external \
1016         --with-neon=%{?with_neon:external}%{!?with_neon:no} \
1017         --with-path-macros='%{_rpmlibdir}/macros:%{_rpmlibdir}/macros.d/pld:%{_rpmlibdir}/pld/macros:%{_rpmlibdir}/%%{_target}/macros:%{_rpmlibdir}/macros.build:%{_sysconfdir}/rpm/macros.*:%{_sysconfdir}/rpm/macros:%{_sysconfdir}/rpm/%%{_target}/macros:%{_sysconfdir}/rpm/macros.d/*.macros:~/etc/.rpmmacros:~/.rpmmacros' \
1018         --without-path-versioned \
1019         --with-pcre=%{!?with_system_pcre:internal}%{?with_system_pcre:external} \
1020         --with-popt=external \
1021         %{?with_python:--with-python=%{py_ver} --with-python-lib-dir=%{py_sitedir}} \
1022         %{!?with_python:--without-python} \
1023         --with-selinux=%{!?with_selinux:no}%{?with_selinux:external} \
1024         --with-semanage=%{!?with_selinux:no}%{?with_selinux:external} \
1025         --with-sepol=%{!?with_selinux:no}%{?with_selinux:external} \
1026         --with-sqlite=%{?with_sqlite:yes}%{!?with_sqlite:no} \
1027         --with-uuid=%{_libdir}:%{_includedir}/ossp-uuid \
1028         --with-vendor=pld \
1029         --with-xz=external \
1030         --with-zlib=external
1031
1032 %{__make}
1033
1034 %{?with_apidocs:%{__make} apidocs}
1035
1036 %{__cc} %{rpmcflags} -I/usr/include/db%{reqdb_ver} tools/rpmdb_checkversion.c \
1037         -o tools/rpmdb_checkversion -ldb-%{reqdb_ver}
1038 %{__cc} %{rpmcflags} -I/usr/include/db%{reqdb_ver} tools/rpmdb_reset.c \
1039         -o tools/rpmdb_reset -ldb-%{reqdb_ver}
1040
1041 if tools/rpmdb_checkversion -V 2>&1 | grep "t match library version"; then
1042         echo "Error linking rpmdb tools!"
1043         exit 1
1044 fi
1045 if tools/rpmdb_reset -V 2>&1 | grep "t match library version"; then
1046         echo "Error linking rpmdb tools!"
1047         exit 1
1048 fi
1049
1050 %install
1051 rm -rf $RPM_BUILD_ROOT
1052 install -d $RPM_BUILD_ROOT{/bin,/%{_lib},/etc/sysconfig,%{_sysconfdir}/rpm} \
1053         $RPM_BUILD_ROOT{/var/lib/banner,/var/cache/hrmib,/etc/pki/rpm-gpg,%{_rpmlibdir}/pld}
1054
1055 install %{SOURCE16} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/PLD-3.0-Th-GPG-key.asc
1056
1057 %{__make} install \
1058         pkgconfigdir=%{_pkgconfigdir} \
1059         DESTDIR=$RPM_BUILD_ROOT
1060
1061 # install platform macros
1062 for f in platform/*macros; do
1063         bn=${f#*/}
1064         fn=${bn%.macros}/macros
1065         install -m644 $f -D %{buildroot}%{_rpmlibdir}/$fn
1066 done
1067
1068 # cleanup
1069 %ifnarch %{ix86} %{x8664} x32
1070 rm $RPM_BUILD_ROOT%{_rpmlibdir}/athlon-linux/macros
1071 rm $RPM_BUILD_ROOT%{_rpmlibdir}/i386-linux/macros
1072 rm $RPM_BUILD_ROOT%{_rpmlibdir}/i486-linux/macros
1073 rm $RPM_BUILD_ROOT%{_rpmlibdir}/i586-linux/macros
1074 rm $RPM_BUILD_ROOT%{_rpmlibdir}/i686-linux/macros
1075 rm $RPM_BUILD_ROOT%{_rpmlibdir}/pentium3-linux/macros
1076 rm $RPM_BUILD_ROOT%{_rpmlibdir}/pentium4-linux/macros
1077 %endif
1078
1079 %ifnarch %{x8664} x32
1080 rm $RPM_BUILD_ROOT%{_rpmlibdir}/amd64-linux/macros
1081 rm $RPM_BUILD_ROOT%{_rpmlibdir}/ia32e-linux/macros
1082 rm $RPM_BUILD_ROOT%{_rpmlibdir}/x32-linux/macros
1083 rm $RPM_BUILD_ROOT%{_rpmlibdir}/x86_64-linux/macros
1084 %endif
1085
1086 %ifnarch %{ppc}
1087 rm $RPM_BUILD_ROOT%{_rpmlibdir}/ppc-linux/macros
1088 %endif
1089
1090 rm $RPM_BUILD_ROOT%{_rpmlibdir}/alpha*-linux/macros
1091 rm $RPM_BUILD_ROOT%{_rpmlibdir}/arm*-linux/macros
1092 rm $RPM_BUILD_ROOT%{_rpmlibdir}/ia64-linux/macros
1093 rm $RPM_BUILD_ROOT%{_rpmlibdir}/k6-linux/macros
1094 rm $RPM_BUILD_ROOT%{_rpmlibdir}/mips*-linux/macros
1095 rm $RPM_BUILD_ROOT%{_rpmlibdir}/ppc*series-linux/macros
1096 rm $RPM_BUILD_ROOT%{_rpmlibdir}/ppc64*-linux/macros
1097 rm $RPM_BUILD_ROOT%{_rpmlibdir}/s390*-linux/macros
1098 rm $RPM_BUILD_ROOT%{_rpmlibdir}/sparc*-linux/macros
1099
1100 cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
1101 # first platform file entry can't contain regexps
1102 %ifarch x32
1103 %{_target_cpu}-%{_target_vendor}-linux-gnux32
1104 %else
1105 %{_target_cpu}-%{_target_vendor}-linux
1106 %endif
1107
1108 %ifarch x86_64
1109 x86_64-[^-]*-[Ll]inux(-gnu)?
1110 amd64-[^-]*-[Ll]inux(-gnu)?
1111 x32-[^-]*-[Ll]inux(-gnu(x32)?)?
1112 %endif
1113 %ifarch amd64
1114 amd64-[^-]*-[Ll]inux(-gnu)?
1115 x86_64-[^-]*-[Ll]inux(-gnu)?
1116 x32-[^-]*-[Ll]inux(-gnu(x32)?)?
1117 %endif
1118 %ifarch ia32e
1119 ia32e-[^-]*-[Ll]inux(-gnu)?
1120 x86_64-[^-]*-[Ll]inux(-gnu)?
1121 %endif
1122 %ifarch x32
1123 x32-[^-]*-[Ll]inux(-gnu(x32)?)?
1124 x86_64-[^-]*-[Ll]inux(-gnu)?
1125 amd64-[^-]*-[Ll]inux(-gnu)?
1126 %endif
1127
1128 %ifarch athlon %{x8664} x32
1129 athlon-[^-]*-[Ll]inux(-gnu)?
1130 %endif
1131 %ifarch pentium4 athlon %{x8664} x32
1132 pentium4-[^-]*-[Ll]inux(-gnu)?
1133 %endif
1134 %ifarch pentium3 pentium4 athlon %{x8664} x32
1135 pentium3-[^-]*-[Ll]inux(-gnu)?
1136 %endif
1137 %ifarch i686 pentium3 pentium4 athlon %{x8664} x32
1138 i686-[^-]*-[Ll]inux(-gnu)?
1139 %endif
1140 %ifarch i586 i686 pentium3 pentium4 athlon %{x8664} x32
1141 i586-[^-]*-[Ll]inux(-gnu)?
1142 %endif
1143 %ifarch i486 i586 i686 pentium3 pentium4 athlon %{x8664} x32
1144 i486-[^-]*-[Ll]inux(-gnu)?
1145 %endif
1146 %ifarch %{ix86} %{x8664} x32
1147 i386-[^-]*-[Ll]inux(-gnu)?
1148 %endif
1149
1150 %ifarch alpha
1151 alpha-[^-]*-[Ll]inux(-gnu)?
1152 %endif
1153
1154 %ifarch ia64
1155 ia64-[^-]*-[Ll]inux(-gnu)?
1156 %endif
1157
1158 %ifarch ppc64
1159 powerpc64-[^-]*-[Ll]inux(-gnu)?
1160 ppc64-[^-]*-[Ll]inux(-gnu)?
1161 %endif
1162 %ifarch %{ppc} ppc64
1163 powerpc-[^-]*-[Ll]inux(-gnu)?
1164 ppc-[^-]*-[Ll]inux(-gnu)?
1165 %endif
1166
1167 %ifarch s390x
1168 s390x-[^-]*-[Ll]inux(-gnu)?
1169 %endif
1170 %ifarch s390 s390x
1171 s390-[^-]*-[Ll]inux(-gnu)?
1172 %endif
1173
1174 %ifarch sparc64
1175 sparc64-[^-]*-[Ll]inux(-gnu)?
1176 sparcv8-[^-]*-[Ll]inux(-gnu)?
1177 sparcv9-[^-]*-[Ll]inux(-gnu)?
1178 %endif
1179 %ifarch sparcv9
1180 sparcv8-[^-]*-[Ll]inux(-gnu)?
1181 sparcv9-[^-]*-[Ll]inux(-gnu)?
1182 %endif
1183 %ifarch sparc sparcv9 sparc64
1184 sparc-[^-]*-[Ll]inux(-gnu)?
1185 %endif
1186
1187 noarch-[^-]*-.*
1188 EOF
1189
1190 # Squash Extra Blank Lines
1191 %{__sed} -i -e '/./,/^$/!d' $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
1192
1193 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/vpkg-provides*
1194 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/find-{prov,req}.pl
1195 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/find-{provides,requires}.perl
1196 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/find-lang.sh
1197 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/lib/liblua.a
1198 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/lib/liblua.la
1199 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/mono-find-provides
1200 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/mono-find-requires
1201
1202 # not installed since 4.4.8 (-tools-perl subpackage)
1203 install scripts/rpmdiff scripts/rpmdiff.cgi $RPM_BUILD_ROOT%{_rpmlibdir}
1204
1205 install %{SOURCE1} doc/manual/groups
1206 install %{SOURCE3} $RPM_BUILD_ROOT%{_rpmlibdir}/install-build-tree
1207 install %{SOURCE12} $RPM_BUILD_ROOT%{_rpmlibdir}/user_group.sh
1208 install %{SOURCE5} $RPM_BUILD_ROOT%{_rpmlibdir}/hrmib-cache
1209 install %{SOURCE13} $RPM_BUILD_ROOT/etc/sysconfig/rpm
1210
1211 install %{SOURCE15} $RPM_BUILD_ROOT%{_bindir}/banner.sh
1212
1213 install -d $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo
1214
1215 install %{SOURCE18} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros
1216 install %{SOURCE27} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros.lang
1217 install %{SOURCE19} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautocompressdoc
1218 install %{SOURCE20} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoprov
1219 install %{SOURCE21} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoprovfiles
1220 install %{SOURCE22} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoreq
1221 install %{SOURCE24} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoreqfiles
1222
1223 touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Conflictname
1224 touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Dirnames
1225 install %{SOURCE10} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Filelinktos
1226 touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Obsoletename
1227 touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Providename
1228 touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Requirename
1229
1230 install tools/rpmdb_checkversion $RPM_BUILD_ROOT%{_rpmlibdir}/bin
1231 install tools/rpmdb_reset $RPM_BUILD_ROOT%{_rpmlibdir}/bin
1232 install %{SOURCE29} $RPM_BUILD_ROOT%{_rpmlibdir}/bin/dbupgrade.sh
1233
1234 # create macro loading wrappers for backward compatibility
1235 for m in gstreamer libtool mono pkgconfig selinux; do
1236         %{__mv} $RPM_BUILD_ROOT%{_rpmlibdir}/macros.d/{$m,macros.$m}
1237 done
1238
1239 install %{SOURCE30} $RPM_BUILD_ROOT%{_rpmlibdir}/macros.d/macros.prov-req
1240
1241 # moved to rpm-pld-macros-macros 1.699
1242 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/macros.d/kernel
1243 # moved to rpm-pld-macros-build 1.744
1244 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/javadeps.sh
1245 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/{gem_helper,rubygems}.rb
1246 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/php.{prov,req}
1247 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/macros.d/{cmake,java,perl,php,python,ruby,tcl}
1248
1249 # for rpm -e|-U --repackage
1250 install -d $RPM_BUILD_ROOT/var/{spool/repackage,lock/rpm}
1251 touch $RPM_BUILD_ROOT/var/lock/rpm/transaction
1252
1253 # move rpm to /bin
1254 mv $RPM_BUILD_ROOT%{_bindir}/rpm $RPM_BUILD_ROOT/bin
1255 # move essential libs to /lib (libs that /bin/rpm links to)
1256 for a in librpm-%{sover}.so librpmdb-%{sover}.so librpmio-%{sover}.so librpmbuild-%{sover}.so librpmmisc-%{sover}.so librpmconstant-%{sover}.so; do
1257         mv -f $RPM_BUILD_ROOT%{_libdir}/$a $RPM_BUILD_ROOT/%{_lib}
1258         ln -s /%{_lib}/$a $RPM_BUILD_ROOT%{_libdir}/$a
1259 done
1260
1261 # Bourne shell script vs ELF executable linked with rpm,rpmdb,rpmio
1262 mv $RPM_BUILD_ROOT{%{_rpmlibdir},%{_bindir}}/rpm2cpio
1263
1264 %if %{with python}
1265 %py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
1266 %py_comp $RPM_BUILD_ROOT%{py_sitedir}
1267
1268 %{__rm} $RPM_BUILD_ROOT%{py_sitedir}/rpm/*.{la,a,py}
1269 %endif
1270
1271 # wrong location, not used anyway
1272 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/rpm.{daily,log,xinetd}
1273 # utils dropped in 5.4 -- their manuals
1274 %{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/rpmgrep.1
1275 # script obsoleted by /usr/lib/rpm/bin/dbconvert binary
1276 %{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/dbconvert.sh
1277
1278 %find_lang %{name}
1279
1280 %{__rm} -rf manual
1281 cp -a doc/manual manual
1282 %{__rm} -f manual/Makefile*
1283
1284 %clean
1285 rm -rf $RPM_BUILD_ROOT
1286
1287 %pretrans
1288 # this needs to be a dir
1289 if [ -f %{_sysconfdir}/rpm/sysinfo ]; then
1290         umask 022
1291         mv -f %{_sysconfdir}/rpm/sysinfo{,.rpmsave}
1292         mkdir %{_sysconfdir}/rpm/sysinfo
1293 fi
1294
1295 %posttrans
1296 if [ -e /var/lib/rpm/Packages ] && \
1297                 ! %{_rpmlibdir}/bin/rpmdb_checkversion -h /var/lib/rpm -d /var/lib/rpm; then
1298         if [ ! -e /var/lib/rpm.rpmbackup-%{version}-%{release} ] && \
1299                         /bin/cp -a /var/lib/rpm /var/lib/rpm.rpmbackup-%{version}-%{release}; then
1300                 echo
1301                 echo "Backup of the rpm database has been created in /var/lib/rpm.rpmbackup-%{version}-%{release}"
1302                 echo
1303         fi
1304         echo
1305         echo 'If poldek aborts after migration with rpmdb error, this is expected behaviour,'
1306         echo 'you should ignore it and restart poldek'
1307         echo
1308         %{_rpmlibdir}/bin/dbupgrade.sh
1309 fi
1310
1311 %triggerpostun -- %{name} < 4.4.9-44
1312 %{_rpmlibdir}/hrmib-cache
1313
1314 %post   lib -p /sbin/ldconfig
1315 %postun lib -p /sbin/ldconfig
1316
1317 %pretrans build
1318 find %{_rpmlibdir} -name '*-linux' -type l | xargs rm -f
1319
1320 %files -f %{name}.lang
1321 %defattr(644,root,root,755)
1322 %doc CHANGES CREDITS README pubkeys/JBJ-GPG-KEY manual/*
1323
1324 %dir /etc/pki/rpm-gpg
1325 /etc/pki/rpm-gpg/PLD-3.0-Th-GPG-key.asc
1326
1327 %attr(755,root,root) /bin/rpm
1328
1329 %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpm/macros
1330 %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpm/macros.lang
1331 %dir %{_sysconfdir}/rpm/sysinfo
1332 # these are ok to be replaced
1333 %config %verify(not md5 mtime size) %{_sysconfdir}/rpm/sysinfo/*
1334 %config %verify(not md5 mtime size) %{_sysconfdir}/rpm/platform
1335
1336 %{_mandir}/man8/rpm.8*
1337 %lang(fr) %{_mandir}/fr/man8/rpm.8*
1338 %lang(ja) %{_mandir}/ja/man8/rpm.8*
1339 %lang(pl) %{_mandir}/pl/man8/rpm.8*
1340 %lang(ru) %{_mandir}/ru/man8/rpm.8*
1341 %lang(sk) %{_mandir}/sk/man8/rpm.8*
1342
1343 %dir /var/lib/rpm
1344 %dir /var/lib/rpm/log
1345 %dir /var/lib/rpm/tmp
1346 %config(noreplace) %verify(not md5 mtime size) /var/lib/rpm/DB_CONFIG
1347 %dir %attr(700,root,root) /var/spool/repackage
1348 %dir /var/lock/rpm
1349 /var/lock/rpm/transaction
1350
1351 # exported package NVRA (stamped with install tid)
1352 # net-snmp hrSWInstalledName queries, bash-completions
1353 %dir /var/cache/hrmib
1354
1355 %{_rpmlibdir}/qf
1356 %{_rpmlibdir}/rpmpopt*
1357 %{_rpmlibdir}/macros
1358 %dir %{_rpmlibdir}/macros.d
1359 %{_rpmlibdir}/macros.d/pld
1360 %dir %{_rpmlibdir}/pld
1361 %{_rpmlibdir}/cpuinfo.yaml
1362 %{_rpmlibdir}/noarch-*
1363 %ifarch %{ix86} %{x8664} x32
1364 %{_rpmlibdir}/i?86*
1365 %{_rpmlibdir}/pentium*
1366 %{_rpmlibdir}/athlon*
1367 %endif
1368 %ifarch alpha
1369 %{_rpmlibdir}/alpha*
1370 %endif
1371 %ifarch ia64
1372 %{_rpmlibdir}/ia64*
1373 %endif
1374 %ifarch mips mipsel mips64 mips64el
1375 %{_rpmlibdir}/mips*
1376 %endif
1377 %ifarch %{ppc}
1378 %{_rpmlibdir}/ppc*
1379 %endif
1380 %ifarch sparc sparc64
1381 %{_rpmlibdir}/sparc*
1382 %endif
1383 %ifarch %{x8664} x32
1384 %{_rpmlibdir}/amd64*
1385 %{_rpmlibdir}/ia32e*
1386 %{_rpmlibdir}/x86_64*
1387 %{_rpmlibdir}/x32*
1388 %endif
1389
1390 %attr(755,root,root) %{_rpmlibdir}/hrmib-cache
1391
1392 %dir %{_rpmlibdir}/bin
1393 %attr(755,root,root) %{_rpmlibdir}/bin/dbconvert
1394 %attr(755,root,root) %{_rpmlibdir}/bin/dbupgrade.sh
1395 %attr(755,root,root) %{_rpmlibdir}/bin/rpmdb_checkversion
1396 %attr(755,root,root) %{_rpmlibdir}/bin/rpmdb_reset
1397 %attr(755,root,root) %{_rpmlibdir}/bin/rpmdbchk
1398
1399 %files base
1400 %defattr(644,root,root,755)
1401 %dir %{_sysconfdir}/rpm
1402 %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rpm
1403 %dir %{_rpmlibdir}
1404 %attr(755,root,root) %{_bindir}/banner.sh
1405 %attr(755,root,root) %{_rpmlibdir}/user_group.sh
1406 %dir /var/lib/banner
1407
1408 %files lib
1409 %defattr(644,root,root,755)
1410 %attr(755,root,root) /%{_lib}/librpm-%{sover}.so
1411 %attr(755,root,root) /%{_lib}/librpmdb-%{sover}.so
1412 %attr(755,root,root) /%{_lib}/librpmio-%{sover}.so
1413 %attr(755,root,root) /%{_lib}/librpmbuild-%{sover}.so
1414 %attr(755,root,root) /%{_lib}/librpmmisc-%{sover}.so
1415 %attr(755,root,root) /%{_lib}/librpmconstant-%{sover}.so
1416
1417 %files devel
1418 %defattr(644,root,root,755)
1419 %attr(755,root,root) %{_libdir}/librpm.so
1420 %attr(755,root,root) %{_libdir}/librpm-%{sover}.so
1421 %attr(755,root,root) %{_libdir}/librpmbuild.so
1422 %attr(755,root,root) %{_libdir}/librpmbuild-%{sover}.so
1423 %attr(755,root,root) %{_libdir}/librpmconstant.so
1424 %attr(755,root,root) %{_libdir}/librpmconstant-%{sover}.so
1425 %attr(755,root,root) %{_libdir}/librpmdb.so
1426 %attr(755,root,root) %{_libdir}/librpmdb-%{sover}.so
1427 %attr(755,root,root) %{_libdir}/librpmio.so
1428 %attr(755,root,root) %{_libdir}/librpmio-%{sover}.so
1429 %attr(755,root,root) %{_libdir}/librpmmisc.so
1430 %attr(755,root,root) %{_libdir}/librpmmisc-%{sover}.so
1431 %{_libdir}/librpm*.la
1432 %{_includedir}/rpm
1433 %{_pkgconfigdir}/*.pc
1434
1435 %files static
1436 %defattr(644,root,root,755)
1437 %{_libdir}/librpm*.a
1438
1439 %files utils
1440 %defattr(644,root,root,755)
1441 %attr(755,root,root) %{_bindir}/rpm2cpio
1442 %attr(755,root,root) %{_bindir}/rpmconstant
1443 %attr(755,root,root) %{_rpmlibdir}/find-debuginfo.sh
1444 %attr(755,root,root) %{_rpmlibdir}/rpmdb_loadcvt
1445 %attr(755,root,root) %{_rpmlibdir}/tgpg
1446 %attr(755,root,root) %{_rpmlibdir}/bin/chroot
1447 %attr(755,root,root) %{_rpmlibdir}/bin/cp
1448 %attr(755,root,root) %{_rpmlibdir}/bin/debugedit
1449 %attr(755,root,root) %{_rpmlibdir}/bin/find
1450 %attr(755,root,root) %{_rpmlibdir}/bin/mtree
1451 %attr(755,root,root) %{_rpmlibdir}/bin/rpmcache
1452 %attr(755,root,root) %{_rpmlibdir}/bin/rpmcmp
1453 %attr(755,root,root) %{_rpmlibdir}/bin/rpmdeps
1454 %attr(755,root,root) %{_rpmlibdir}/bin/rpmdigest
1455 %if %{with selinux}
1456 %attr(755,root,root) %{_rpmlibdir}/bin/semodule
1457 %attr(755,root,root) %{_rpmlibdir}/bin/spooktool
1458 %endif
1459 %if %{without system_lua}
1460 %attr(755,root,root) %{_rpmlibdir}/bin/lua
1461 %attr(755,root,root) %{_rpmlibdir}/bin/luac
1462 %attr(755,root,root) %{_rpmlibdir}/bin/rpmlua
1463 %attr(755,root,root) %{_rpmlibdir}/bin/rpmluac
1464 %endif
1465 %{?with_keyutils:%attr(755,root,root) %{_rpmlibdir}/bin/rpmkey}
1466 %attr(755,root,root) %{_rpmlibdir}/bin/rpmrepo
1467 %{_mandir}/man8/rpm2cpio.8*
1468 %{_mandir}/man8/rpmconstant.8*
1469 %{_mandir}/man8/rpmdeps.8*
1470 %{_mandir}/man8/rpmmtree.8*
1471 %lang(ja) %{_mandir}/ja/man8/rpm2cpio.8*
1472 %lang(pl) %{_mandir}/pl/man8/rpm2cpio.8*
1473 %lang(pl) %{_mandir}/pl/man8/rpmdeps.8*
1474 %lang(ru) %{_mandir}/ru/man8/rpm2cpio.8*
1475
1476 %files utils-perl
1477 %defattr(644,root,root,755)
1478 %attr(755,root,root) %{_rpmlibdir}/rpmdiff*
1479
1480 %if %{with static}
1481 %files utils-static
1482 %defattr(644,root,root,755)
1483 %attr(755,root,root) %{_bindir}/rpm[ieu]
1484 %attr(755,root,root) %{_rpmlibdir}/rpm[ieu]
1485 %endif
1486
1487 %files build
1488 %defattr(644,root,root,755)
1489 %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpm/noauto*
1490 %attr(755,root,root) %{_rpmlibdir}/brp-*
1491 %attr(755,root,root) %{_rpmlibdir}/check-files
1492 %attr(755,root,root) %{_rpmlibdir}/cross-build
1493 %attr(755,root,root) %{_rpmlibdir}/getpo.sh
1494 %attr(755,root,root) %{_rpmlibdir}/install-build-tree
1495 %attr(755,root,root) %{_rpmlibdir}/u_pkg.sh
1496 %attr(755,root,root) %{_rpmlibdir}/executabledeps.sh
1497 %attr(755,root,root) %{_rpmlibdir}/libtooldeps.sh
1498 # needs hacked pkg-config to return anything
1499 %attr(755,root,root) %{_rpmlibdir}/pkgconfigdeps.sh
1500 %{!?with_sqlite:%attr(755,root,root) %{_rpmlibdir}/bin/dbsql}
1501 %attr(755,root,root) %{_rpmlibdir}/bin/install-sh
1502 %attr(755,root,root) %{_rpmlibdir}/bin/mkinstalldirs
1503 %attr(755,root,root) %{_rpmlibdir}/bin/rpmspec
1504 %attr(755,root,root) %{_rpmlibdir}/bin/rpmspecdump
1505 %attr(755,root,root) %{_rpmlibdir}/bin/sqlite3
1506 %attr(755,root,root) %{_rpmlibdir}/bin/wget
1507 %attr(755,root,root) %{_rpmlibdir}/vcheck
1508 # we always used scripts provided by mono-devel, maybe move them here
1509 #%attr(755,root,root) %{_rpmlibdir}/mono-find-provides
1510 #%attr(755,root,root) %{_rpmlibdir}/mono-find-requires
1511
1512 %attr(755,root,root) %{_rpmlibdir}/fontconfig.prov
1513 %{_rpmlibdir}/macros.d/macros.gstreamer
1514 %{_rpmlibdir}/macros.d/macros.libtool
1515 %{_rpmlibdir}/macros.d/macros.mono
1516 %{_rpmlibdir}/macros.d/macros.pkgconfig
1517 %{_rpmlibdir}/macros.d/macros.prov-req
1518 %{_rpmlibdir}/macros.d/macros.selinux
1519 %{_rpmlibdir}/macros.rpmbuild
1520
1521 %attr(755,root,root) %{_rpmlibdir}/gstreamer.sh
1522 %attr(755,root,root) %{_rpmlibdir}/kmod-deps.sh
1523
1524 %attr(755,root,root) %{_bindir}/gendiff
1525 %attr(755,root,root) %{_bindir}/rpmbuild
1526
1527 %dir %{_rpmlibdir}/helpers
1528 %attr(755,root,root) %{_rpmlibdir}/helpers/makeshlibs
1529
1530 %{_mandir}/man1/gendiff.1*
1531 %{_mandir}/man8/rpmbuild.8*
1532 %lang(ja) %{_mandir}/ja/man8/rpmbuild.8*
1533 %lang(pl) %{_mandir}/pl/man1/gendiff.1*
1534 %lang(pl) %{_mandir}/pl/man8/rpmbuild.8*
1535
1536 %files perlprov
1537 %defattr(644,root,root,755)
1538 %attr(755,root,root) %{_rpmlibdir}/perl.*
1539 %attr(755,root,root) %{_rpmlibdir}/osgideps.pl
1540 %attr(755,root,root) %{_rpmlibdir}/perldeps.pl
1541
1542 %files pythonprov
1543 %defattr(644,root,root,755)
1544 %attr(755,root,root) %{_rpmlibdir}/pythoneggs.py
1545 %attr(755,root,root) %{_rpmlibdir}/pythondeps.sh
1546
1547 %if %{with python}
1548 %files -n python-rpm
1549 %defattr(644,root,root,755)
1550 %dir %{py_sitedir}/rpm
1551 %attr(755,root,root) %{py_sitedir}/rpm/*.so
1552 %{py_sitedir}/rpm/*.py[co]
1553 %endif
1554
1555 %if %{with apidocs}
1556 %files apidocs
1557 %defattr(644,root,root,755)
1558 %doc apidocs
1559 %endif
This page took 0.170935 seconds and 3 git commands to generate.